Bug 11283 - browser dies unpredictably, but from java/javascript preference
browser dies unpredictably, but from java/javascript preference
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-05-07 16:04 EDT by John B. Brown
Modified: 2014-03-16 22:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-30 22:17:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John B. Brown 2000-05-07 16:04:42 EDT
This is my third submission for this bug.
	When I set any java or javascript preference the browser dies without a
trace; ps reveals no trace of the browser. This problem started some while
ago. It continues even after replacing 4.61 with 4.72-6 components. All
three parts are installed. The updated versions came from one of the mirror
archives listed on the redhat ftp site, not from netscape.com.
	The suggestion to run chkfontpath was tried a while ago.
 /usr/X11R6/lib/X11/fonts/75dpi is already present; along with a large
number of other fonts; including all those on your recommended list.
	If a crash site is loaded and one clicks on any susceptable button there
is an immediate die of netscape communicator. This happens on certain
quicken.com sites, sluggy.com, and numerous other sites. There is a nice
little notice from quicken telling me I cannot navigate through their site
using a browser that is not javascript enabled. Very not nice!
	The kernel is 2.2.14, glibc-2.1.3 crypt, gcc-2.95.2, netscape 128bit
4.7.2-6 from the redhat mirror.
 Its the java problem. There is a notice on the sluggy site proclaiming
the universality of the java problem on all current netscape browsers.
Their site will crash any netscape browser set for java and javascript.
They recommended the chkfontpath route. They know it and state it openly.
Its a netscape java bug. Not being a mozilla afficionado or a java guru, I
haven't the first clue where to start in that pile of mozilla source.

Comment 1 John B. Brown 2000-05-10 14:16:59 EDT
The site below discusses part of the problem and the recommended solution. Is
there really a netscape 6.0 out there? Is opera available for linux?

Comment 2 John B. Brown 2000-06-13 12:52:53 EDT
The kernel is now 2.2.16 from kerneli. The browser is now 4.73 from the netscape
update. The problem seems to have disappeared. Spontaneous healing is not what I
expected but I'll accept it for the time being.
Comment 3 John B. Brown 2001-01-30 22:17:25 EST
This is a continuing and expanding bug! I'm now using 2.2.18 kerneli kernel and
4.74 or 4.75, or 4.76 netscape. Almost any site will crash the browser. If I
keep all java, javascript, and stylesheets options deselected everything is
fine, that is, except for the fact I can't use anything in a page that requires
javascript! Is there some kind of permissions setting I'm missing? Does a PAM
setting need to be changed? Do these sites using javascript start some kind of
restricted access within the computing environment?
What the hell is going on?
Comment 4 Bill Nottingham 2001-01-31 01:19:20 EST
There's nothing particular that can be done; netscape is unfortunately
just really unstable under Linux. Your options are:

a) report this to netscape at:

(It's been reported before, so I don't know if that helps)

b) download either the Netscape 6 preview for Linux (it is available
   from Netscape), or Mozilla (http://www.mozilla.org/) - these
   may prove more stable.

You could also try something like Konqueror in KDE. Unfortunately,
since we (Red Hat) don't have the source code for Netscape, there's
very little we can to do to fix it.

Note You need to log in before you can comment on or make changes to this bug.